Query Recording List
Query the call recording file list.
Request URL
GET {base_url}/{api_path}/recording/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
| sort_by | No | String | Define the sorting field. Valid value:
|
| order_by | No | String | Define the display order. Valid value:
|
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of call recording. |
| data | Array<Recording_Details> | The detailed information of the call recording. |
Recording_Details
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the call recording. |
| time | String | The time when the call was made or received. |
| uid | String | The unique ID of the CDR for which the recording is proceeded. |
| call_from | String | Caller. |
| call_to | String | Callee. |
| duration | Integer | Call duration. |
| size | Integer | The size of the call recording file. (Unit: Byte) |
| call_type | String | Communication type.
|
| file | String | The name of the call recording file. |
| call_from_number | String | The number of the caller. |
| call_from_name | String | The name of the caller. |
| call_to_number | String | The number of the callee. |
| call_to_name | String | The name of the callee. |
| archive_status | String | The archive status.
|
| archive_path | String | The path of the file on archive server. |
| archive_type | String | The type of the archive server. |
| file_path | String | The path of the file in local storage. |
Examples
Request example
GET /openapi/v1.0/recording/list?access_token=XLS56U6Uq16jvYozSuTM0jHY8NqQcfIG&sort_by=id&order_by=asc HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 184,
"data": [
{
"id": 614,
"time": "01/12/2022 17:36:24",
"uid": "2022011217362446627",
"call_from": "Evelyn<5566>",
"call_to": "Dave Harris<5556>",
"duration": 250,
"size": 825588,
"call_type": "Internal",
"file": "20220112173629-1641980184.14-5566-5556-Internal.wav",
"call_from_number": "5566",
"call_from_name": "Evelyn",
"call_to_number": "5556",
"call_to_name": "Dave Harris",
"archive_status": "",
"archive_path": "/PBX/RecordingFiles-recording-20251124/20251124135807-1763963876.31-80123456-1001-Inbound.wav",
"archive_type": "sharepoint",
"file_path": "/tmp/media/networkdisk10/recording/20251124/20251124135807-1763963876.31-80123456-1001-Inbound.wav"
},
{
"id": 615,
"time": "01/13/2022 14:09:04",
"uid": "202201131409043E81A",
"call_from": "Leo Ball<5555>",
"call_to": "Dave Harris<5556>",
"duration": 53,
"size": 4148,
"call_type": "Internal",
"file": "20220113140906-1642054144.17-5555-5556-Internal.wav",
"call_from_number": "5555",
"call_from_name": "Leo Ball",
"call_to_number": "5556",
"call_to_name": "Dave Harris",
"archive_status": "",
"archive_path": "",
"archive_type": "",
"file_path": ""
},
{
"id": 618,
"time": "01/25/2022 14:32:06",
"uid": "202201251432063097C",
"call_from": "Leo Ball<5555>",
"call_to": "Dave Harris<5556>",
"duration": 115,
"size": 177588,
"call_type": "Internal",
"file": "20220125143212-1643092326.23-5555-5556-Internal.wav",
"call_from_number": "5555",
"call_from_name": "Leo Ball",
"call_to_number": "5556",
"call_to_name": "Dave Harris",
"archive_status": "",
"archive_path": "",
"archive_type": "",
"file_path": ""
},
... ...
]
}